CREATE OR REPLACE VIEW public.spermission_v AS 
 SELECT DISTINCT spermission.id,
    spermission.account_grant,
    spermission.assignable,
    spermission.authoritative,
    spermission.bound_by_id,
    spermission.boundable,
    spermission.cost,
    spermission.deleted,
    spermission.description,
    spermission.display_name,
    spermission.driver_id,
    spermission.effective,
    spermission.exclude_from_catalog,
    spermission.is_curated,
    spermission.logical_id,
    spermission.merged,
    spermission.name,
    spermission.not_reviewable,
    spermission.permission_id,
    spermission.prov_attribute,
    spermission.prov_by_unique_permission_id,
    spermission.prov_native_value,
    spermission.prov_unique_driver_id,
    spermission.provisionable,
    spermission.risk,
    spermission.type,
    spermission.unique_bound_by_id,
    spermission.unique_permission_id,
    spermission.value,
    spermission.value_type,
    spermission.application,
    spermission.base_application,
    spermission.collected_entity,
    spermission.data_collection,
    spermission.effective_entity,
    spermission.sversion,
    spermission.auto_generated,
    spermission.prov_unique_permission_id,
    auth_by.brole_name AS authorized_by,
    string_agg(su.display_name::text, ' | '::text) AS perm_owner_name
   FROM spermission
     LEFT JOIN ( SELECT brole.brole_name,
            brole.unique_item_id
           FROM ( SELECT br_incl_item.business_role_id,
                    br_incl_item.unique_item_id,
                    ( SELECT DISTINCT brole_1.name
                           FROM business_role brole_1
                          WHERE br_incl_item.business_role_id = brole_1.id AND brole_1.approval_state::text = 'PUBLISHED'::text) AS brole_name
                   FROM business_role_incl_item br_incl_item) brole,
            spermission spermission_1
          WHERE brole.unique_item_id::text = spermission_1.unique_permission_id::text AND brole.brole_name IS NOT NULL) auth_by ON auth_by.unique_item_id::text = spermission.unique_permission_id::text
     LEFT JOIN resolved_spermission_owner rso ON rso.permission = spermission.id
     LEFT JOIN suser_name_v su ON su.unique_user_id::text = rso.owner_unique_id::text
  WHERE spermission.deleted = false AND spermission.effective = true
  GROUP BY spermission.id, spermission.account_grant, spermission.assignable, spermission.authoritative, spermission.bound_by_id, spermission.boundable, spermission.cost, spermission.deleted, spermission.description, spermission.display_name, spermission.driver_id, spermission.effective, spermission.exclude_from_catalog, spermission.is_curated, spermission.logical_id, spermission.merged, spermission.name, spermission.not_reviewable, spermission.permission_id, spermission.prov_attribute, spermission.prov_by_unique_permission_id, spermission.prov_native_value, spermission.prov_unique_driver_id, spermission.provisionable, spermission.risk, spermission.type, spermission.unique_bound_by_id, spermission.unique_permission_id, spermission.value, spermission.value_type, spermission.application, spermission.base_application, spermission.collected_entity, spermission.data_collection, spermission.effective_entity, spermission.sversion, spermission.auto_generated, spermission.prov_unique_permission_id, auth_by.brole_name
  ORDER BY spermission.name;

 ALTER TABLE public.spermission_v
   OWNER TO igops;
 GRANT ALL ON TABLE public.spermission_v TO igops;
 GRANT SELECT ON TABLE public.spermission_v TO ig_report_role;
